# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2018 All Rights Reserved. Luiz Fernando Maciel Franca
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2018, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.xml_sped.base import TagCaracter, TagInteiro, TagData
from .base import XMLMDFe, NAMESPACE_MDFE
from . import ESQUEMA_ATUAL
import os


DIRNAME = os.path.dirname(__file__)


class EvEncMDFe(XMLMDFe):
    """Leiaute especifico do evento de encerramento do MDF-e."""

    def __init__(self):
        super(EvEncMDFe, self).__init__()
        self.descEvento = TagCaracter(
            nome='descEvento', tamanho=[12, 12], raiz='//evEncMDFe', valor='Encerramento')
        self.nProt = TagCaracter(nome='nProt', tamanho=[15, 15], raiz='//evEncMDFe')
        self.dtEnc = TagData(nome='dtEnc', raiz='//evEncMDFe')
        self.cUF = TagInteiro(nome='cUF', tamanho=[2, 2], raiz='//evEncMDFe')
        self.cMun = TagInteiro(nome='cMun', tamanho=[7, 7], raiz='//evEncMDFe')
        self.caminho_esquema = os.path.join(DIRNAME, 'schema/', ESQUEMA_ATUAL + '/')
        self.arquivo_esquema = 'evEncMDFe_v3.00.xsd'

    @property
    def xml(self):
        # xml = XMLMDFe.xml.fget()
        xml = ''
        if self.dtEnc.valor:
            xml += '<evEncMDFe xmlns="%s">' % NAMESPACE_MDFE
            xml += self.descEvento.xml
            xml += self.nProt.xml
            xml += self.dtEnc.xml
            xml += self.cUF.xml
            xml += self.cMun.xml
            xml += '</evEncMDFe>'
        return xml

    @xml.setter
    def xml(self, arquivo):
        self.descEvento.xml = arquivo
        self.nProt.xml = arquivo
        self.dtEnc.xml = arquivo
        self.cUF.xml = arquivo
        self.cMun.xml = arquivo

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
