# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""

from pynfe.nfe import *

# SEFAZ Virtual Rio Grande do Sul
# Atende os estados AC, AL, AP, DF, ES, PB, PI, RJ, RN, RO, RR, SC, SE, TO
SVRS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='cad.svrs.rs.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='cad.svrs.rs.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Virtual Ambiente Nacional
# Atende os estados MA e PA
SVAN = {
    # Este servico nao esta disponivel em producao - Tentativa em SVRS
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: SVRS[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
    },
    # Este servico nao esta disponivel em homologacao - Tentativa em SVRS
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: SVRS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_CADASTRO]
    }
}

# SEFAZ Virtual de Contingencia Ambiente Nacional - (SVC-AN)
SVC_AN = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='NfeRecepcao2/NfeRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='www.svc.fazenda.gov',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='NfeRetRecepcao2/NfeRetRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='RecepcaoEvento/RecepcaoEvento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='RecepcaoEvento/RecepcaoEvento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_INUTILIZACAO: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='NfeInutilizacao2',
            metodo='nfeInutilizacaoNF2',
            url='NFeInutilizacao2/NFeInutilizacao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='NfeConsulta2',
            metodo='nfeConsultaNF2',
            url='NfeConsulta2/NfeConsulta2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='NFeStatusServico2/NFeStatusServico2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='NfeAutorizacao/NfeAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='www.svc.fazenda.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='NfeRecepcao2/NfeRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='hom.svc.fazenda.gov',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='NfeRetRecepcao2/NfeRetRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='RecepcaoEvento/RecepcaoEvento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='RecepcaoEvento/RecepcaoEvento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_INUTILIZACAO: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='NfeInutilizacao2',
            metodo='nfeInutilizacaoNF2',
            url='NfeInutilizacao2/NfeInutilizacao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='NfeConsulta2',
            metodo='nfeConsultaNF2',
            url='NfeConsulta2/NfeConsulta2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='NfeStatusServico2/NfeStatusServico2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='NfeAutorizacao/NfeAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='hom.svc.fazenda.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# SEFAZ Virtual de Contingencia Ambiente Nacional - (SVC-RS)
SVC_RS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='ws/Nferecepcao/NFeRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='ws/recepcaoevento/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='ws/recepcaoevento/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='NfeConsulta2',
            metodo='nfeConsultaNF2',
            url='ws/NfeConsulta/NfeConsulta2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='ws/NfeStatusServico/NfeStatusServico2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='ws/NfeAutorizacao/NFeAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='nfe.svrs.rs.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='ws/NfeRetAutorizacao/NFeRetAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='ws/Nferecepcao/NFeRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='ws/NfeRetRecepcao/NfeRetRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='ws/recepcaoevento/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='ws/recepcaoevento/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='NfeConsulta2',
            metodo='nfeConsultaNF2',
            url='ws/NfeConsulta/NfeConsulta2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='ws/NfeStatusServico/NfeStatusServico2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='ws/NfeAutorizacao/NFeAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='nfe-homologacao.svrs.rs.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='ws/NfeRetAutorizacao/NFeRetAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# Ambiente Nacional
AN = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_EVENTO: dict(
            servidor='www1.nfe.fazenda.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='RecepcaoEvento/RecepcaoEvento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA_DESTINATARIO: dict(
            servidor='www1.nfe.fazenda.gov.br',
            webservice='NFeDistribuicaoDFe',
            metodo='nfeDistDFeInteresse',
            url='NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeDistribuicaoDFe'),
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: dict(
            servidor='www1.nfe.fazenda.gov.br',
            webservice='NFeDistribuicaoDFe',
            metodo='nfeDistDFeInteresse',
            url='NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeDistribuicaoDFe'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_EVENTO: dict(
            servidor='hom.nfe.fazenda.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='RecepcaoEvento/RecepcaoEvento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_CONSULTA_DESTINATARIO: dict(
            servidor='hom.nfe.fazenda.gov.br',
            webservice='NFeDistribuicaoDFe',
            metodo='nfeDistDFeInteresse',
            url='NFeDistribuicaoDFe/NFeDistribuicaoDFe.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeDistribuicaoDFe'),
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: dict(
            servidor='hom.nfe.fazenda.gov.br',
            webservice='NfeDownloadNF',
            metodo='nfeDownloadNF',
            url='NfeDownloadNF/NfeDownloadNF.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeDownloadNF'),
    },
}

# Servidores dos estados
# SEFAZ Amazonas
UFAM = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.sefaz.am.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='services2/services/cadconsultacadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='homnfe.sefaz.am.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='services2/services/cadconsultacadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Bahia
UFBA = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='webservices/nfenw/NfeRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeRetRecepcao',
            metodo='nfeRetRecepcao2',
            url='webservices/nfenw/NfeRetRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='webservices/sre/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='webservices/sre/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utiliza o Ambiente Nacional (AN)
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeInutilizacao2',
            metodo='nfeInutilizacaoNF2',
            url='webservices/nfenw/NfeInutilizacao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeConsulta',
            metodo='nfeConsulta',
            url='webservices/NfeConsulta/NfeConsulta.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta'),
        WS_NFE_SITUACAO: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='webservices/nfenw/NfeStatusServico2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='webservices/NfeAutorizacao/NfeAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='nfe.sefaz.ba.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='webservices/NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='webservices/nfenw/NfeRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeRetRecepcao2',
            metodo='nfeRetRecepcao2',
            url='webservices/nfenw/NfeRetRecepcao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='webservices/sre/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='webservices/sre/recepcaoevento.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utiliza o Ambiente Nacional (AN)
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeInutilizacao2',
            metodo='nfeInutilizacaoNF2',
            url='webservices/nfenw/NfeInutilizacao2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeConsulta',
            metodo='nfeConsulta',
            url='webservices/NfeConsulta/NfeConsulta.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta'),
        WS_NFE_SITUACAO: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeStatusServico',
            metodo='nfeStatusServico',
            url='webservices/NfeStatusServico/NfeStatusServico.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='webservices/NfeAutorizacao/NfeAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='hnfe.sefaz.ba.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='webservices/NfeRetAutorizacao/NfeRetAutorizacao.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# SEFAZ Ceara
UFCE = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.sefaz.ce.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe2/services/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfeh.sefaz.ce.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe2/services/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Goias
UFGO = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.sefaz.go.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe/services/v2/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='homolog.sefaz.go.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe/services/v2/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Minas Gerais
UFMG = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='nfe2/services/NfeRecepcao2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='nfe2/services/NfeRetRecepcao2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='nfe2/services/RecepcaoEvento',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='nfe2/services/RecepcaoEvento',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utiliza o Ambiente Nacional (AN)
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeInutilizacao2',
            metodo='nfeInutilizacaoNF2',
            url='nfe2/services/NfeInutilizacao2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeConsulta2',
            metodo='nfeConsultaNF2',
            url='nfe2/services/NfeConsulta2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='nfe2/services/NfeStatus2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe2/services/cadconsultacadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='nfe2/services/NfeAutorizacao',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='nfe.fazenda.mg.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='nfe2/services/NfeRetAutorizacao',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_ENVIO_LOTE: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='nfe2/services/NfeRecepcao2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRecepcao2'),
        WS_NFE_CONSULTA_RECIBO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeRecepcao2',
            metodo='nfeRecepcaoLote2',
            url='nfe2/services/NfeRetRecepcao2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetRecepcao2'),
        WS_NFE_CANCELAMENTO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='nfe2/services/RecepcaoEvento',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),
        WS_NFE_EVENTO_CCE: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='RecepcaoEvento',
            metodo='nfeRecepcaoEvento',
            url='nfe2/services/RecepcaoEvento',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento'),

        # Manifesto Destinatario utilizado do Ambiente Nacional
        WS_NFE_EVENTO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_EVENTO],
        WS_NFE_CONSULTA_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_DESTINATARIO],
        WS_NFE_DOWNLOAD_XML_DESTINATARIO: AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DOWNLOAD_XML_DESTINATARIO],

        WS_NFE_INUTILIZACAO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeInutilizacao2',
            metodo='nfeInutilizacaoNF2',
            url='nfe2/services/NfeInutilizacao2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2'),
        WS_NFE_CONSULTA: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeConsulta2',
            metodo='nfeConsultaNF2',
            url='nfe2/services/NfeConsulta2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2'),
        WS_NFE_SITUACAO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeStatusServico2',
            metodo='nfeStatusServicoNF2',
            url='nfe2/services/NfeStatus2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2'),
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe2/services/cadconsultacadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
        WS_NFE_AUTORIZACAO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeAutorizacao',
            metodo='nfeAutorizacaoLote',
            url='nfe2/services/NfeAutorizacao',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao'),
        WS_NFE_RET_AUTORIZACAO: dict(
            servidor='hnfe.fazenda.mg.gov.br',
            webservice='NfeRetAutorizacao',
            metodo='nfeRetAutorizacaoLote',
            url='nfe2/services/NfeRetAutorizacao',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao'),
    }
}

# SEFAZ Mato Grosso do Sul
UFMS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.fazenda.ms.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='producao/services2/CadConsultaCadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='homologacao.nfe.ms.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='homologacao/services2/CadConsultaCadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Mato Grosso
UFMT = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.sefaz.mt.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfews/v2/services/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='homologacao.sefaz.mt.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfews/v2/services/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Pernanbuco
UFPE = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.sefaz.pe.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe-service/services/CadConsultaCadastro2',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        # Este servico nao esta disponivel em homogacao - Usa-se producao. (somente consulta)
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.sefaz.pe.gov.br', # <-- Atencao! Ambiente de producao
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe-service/services/CadConsultaCadastro2', # <-- Atencao! anbiente de producao
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Parana
UFPR = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.fazenda.pr.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='homologacao.nfe.fazenda.pr.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='nfe/CadConsultaCadastro2?wsdl',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Rio Grande do Sul
UFRS = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='cad.sefazrs.rs.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='cad.sefazrs.rs.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='ws/cadconsultacadastro/cadconsultacadastro2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# SEFAZ Sao Paulo
UFSP = {
    NFE_AMBIENTE_PRODUCAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='nfe.fazenda.sp.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='ws/cadconsultacadastro2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    },
    NFE_AMBIENTE_HOMOLOGACAO: {
        WS_NFE_CONSULTA_CADASTRO: dict(
            servidor='homologacao.nfe.fazenda.sp.gov.br',
            webservice='CadConsultaCadastro2',
            metodo='consultaCadastro2',
            url='ws/cadconsultacadastro2.asmx',
            namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2'),
    }
}

# Web Service dos estados
ESTADO_WS = {
    'AC': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'AL': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'AM': UFAM, # SEFAZ Amazonas
    'AN': AN, # Ambiente Nacional
    'AP': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'BA': UFBA, # SEFAZ Bahia
    'CE': UFCE, # SEFAZ Ceara
    'DF': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'ES': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'GO': UFGO, # SEFAZ Goias
    'MA': SVAN, # Servido pela SEFAZ Virtual Ambiente Nacional
    'MG': UFMG, # SEFAZ Minas Gerais
    'MS': UFMS, # SEFAZ Mato Grosso do Sul
    'MT': UFMT, # SEFAZ Mato Grosso
    'PA': SVAN, # Servido pela SEFAZ Virtual Ambiente Nacional
    'PB': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'PE': UFPE, # SEFAZ Pernanbuco
    'PI': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'PR': UFPR, # SEFAZ Parana
    'RJ': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'RN': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'RO': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'RR': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'RS': UFRS, # SEFAZ Rio Grande do Sul
    'SC': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'SE': SVRS, # Servido pela SEFAZ Virtual Rio Grande do Sul
    'SP': UFSP, # SEFAZ Sao Paulo
    'SVAN': SVAN, # SEFAZ Virtual Ambiente Nacional
    'SVC-AN': SVC_AN, # SEFAZ Virtual de Contingencia Ambiente Nacional
    'SVC-RS': SVC_RS, # SEFAZ Virtual de Contingencia Rio Grande do Sul
    'SVRS': SVRS, # SEFAZ Virtual Rio Grande do Sul
    'TO': SVRS  # Servido pela SEFAZ Virtual Rio Grande do Sul
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
