# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.xml_sped.base import NAMESPACE_NFE, TagDecimal
from pynfe.nfe.manual_500 import conscad_310


# noinspection PyProtectedMember
class InfConsEnviado(conscad_310._InfConsEnviado):
    def __init__(self):
        super(InfConsEnviado, self).__init__()


class ConsCad(conscad_310.ConsCad):
    def __init__(self):
        super(ConsCad, self).__init__()


class Ender(conscad_310.Ender):
    def __init__(self):
        super(Ender, self).__init__()


# noinspection PyProtectedMember
class InfCadRecebido(conscad_310._InfCadRecebido):
    def __init__(self):
        super(InfCadRecebido, self).__init__()
        self.ender = Ender()


class InfCad(conscad_310.InfCad):
    def __init__(self):
        super(InfCad, self).__init__()


# noinspection PyProtectedMember
class InfConsRecebido(conscad_310._InfConsRecebido):
    def __init__(self):
        super(InfConsRecebido, self).__init__()

    @property
    def xml(self):
        return super(InfConsRecebido, self).xml

    @xml.setter
    def xml(self, arquivo):
        if self._le_xml(arquivo):
            self.verAplic.xml = arquivo
            self.cStat.xml = arquivo
            self.xMotivo.xml = arquivo
            self.UF.xml = arquivo
            self.IE.xml = arquivo
            self.CNPJ.xml = arquivo
            self.CPF.xml = arquivo
            self.dhCons.xml = arquivo
            self.cUF.xml = arquivo
            self.infCad = self.le_grupo('//retConsCad/infCons/infCad', InfCadRecebido)


class RetConsCad(conscad_310.RetConsCad):
    def __init__(self):
        super(RetConsCad, self).__init__()
        self.versao = TagDecimal(nome='retConsCad', codigo='GR01', propriedade='versao',
                                 namespace=NAMESPACE_NFE, valor='2.00', raiz='/')
        self.infCons = InfConsRecebido()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
