# -*- coding: utf-8 -*-
"""
Copyright (C) 2009-2017 All Rights Reserved. Luiz Fernando Maciel França
              www.siginformatica.com.br <luiz@siginformatica.com.br>
                                -------

Copyleft (CC) 2017, Creative Commons
================================================================================
Atribuicao-Nao Comercial-Compartilhada Igual 3.0 Nao Adaptada (CC BY-NC-SA 3.0)
http://creativecommons.org/licenses/by-nc-sa/3.0/deed.pt_BR
================================================================================
"""
from pynfe.nfe.manual_500.webservices_3 import ESTADO_WS, AN, UFAM, UFMG, UFPE, SVRS, SVC_RS
from pynfe.nfe import *


VERSAO = '4.00'

# Os ´Web Services´ dos estados passam a ter versao a fim de aue se possa ter controle entre as
# diferentes versoes de um mesmo servico
ESTADO_WS = {
    VERSAO: {
        UF: {
            AMBIENTE: {
                SERVICO: ESTADO_WS[UF][AMBIENTE][SERVICO].copy()
                for SERVICO in ESTADO_WS[UF][AMBIENTE].keys()
            } for AMBIENTE in ESTADO_WS[UF].keys()
        } for UF in ESTADO_WS.keys()
    }
}

#
# SEFAZ Nacional - Ambiente de producao
#
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado

# Este webservice deixou de funcionar em 12/05/23, foi trocado o servidor, mas na documentação continua este, verificar futuramente
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
#     servidor='www.nfe.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
#     metodo='nfeRecepcaoEvento',  url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
#     namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='www1.nfe.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')

ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    AN[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_DESTINATARIO]

#
# SEFAZ Nacional - Ambiente de homologacao
#
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='hom.nfe.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] <-- Nao implementado
# ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    AN[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_DESTINATARIO]


#
# SEFAZ Amazonas - Ambiente de producao
#
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.am.gov.br', webservice='NfeInutilizacao2', metodo='nfeInutilizacaoNF2',
    url='services2/services/NfeInutilizacao2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.am.gov.br', webservice='NfeConsulta2', metodo='nfeConsultaNF2',
    url='services2/services/NfeConsulta2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.am.gov.br', webservice='NfeStatusServico2', metodo='nfeStatusServicoNF2',
    url='services2/services/NfeStatusServico2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFAM[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.am.gov.br', webservice='RecepcaoEvento', metodo='nfeRecepcaoEvento',
    url='services2/services/RecepcaoEvento',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.am.gov.br', webservice='NfeAutorizacao', metodo='nfeAutorizacaoLote',
    url='services2/services/NfeAutorizacao',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.am.gov.br', webservice='NfeRetAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='services2/services/NfeRetAutorizacao',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Amazonas - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='homnfe.sefaz.am.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='services2/services/NfeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='homnfe.sefaz.am.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='services2/services/NfeConsulta4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='homnfe.sefaz.am.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='services2/services/NfeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# nos web services não tem consulta de cadastro para AM
# ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
#     servidor='homnfe.sefaz.am.gov.br', webservice='CadConsultaCadastro4',
#     metodo='consultaCadastro', url='services2/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
#     namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='homnfe.sefaz.am.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='services2/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='homnfe.sefaz.am.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='services2/NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='homnfe.sefaz.am.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='services2/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['AM'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Bahia - Ambiente de producao
#
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='webservices/NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='webservices/NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='webservices/NFeStatusServico4/NFeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='CadConsultaCadastro4', metodo='consultaCadastro',
    url='webservices/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='webservices/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='webservices/NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.ba.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='webservices/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Bahia - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='webservices/NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='webservices/NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='webservices/NFeStatusServico4/NFeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='webservices/CadConsultaCadastro4/CadConsultaCadastro4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='webservices/NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='webservices/NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='hnfe.sefaz.ba.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='webservices/NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['BA'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Ceara - Ambiente de producao
#
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.ce.gov.br', webservice='NfeInutilizacao2', metodo='nfeInutilizacaoNF2',
    url='nfe2/services/NfeInutilizacao2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeInutilizacao2')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.ce.gov.br', webservice='NfeConsulta2', metodo='nfeConsultaNF2',
    url='nfe2/services/NfeConsulta2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeConsulta2')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.ce.gov.br', webservice='NfeStatusServico2', metodo='nfeStatusServicoNF2',
    url='nfe2/services/NfeStatusServico2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeStatusServico2')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFAM[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.ce.gov.br', webservice='RecepcaoEvento', metodo='nfeRecepcaoEvento',
    url='nfe2/services/RecepcaoEvento',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/RecepcaoEvento')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.ce.gov.br', webservice='NfeAutorizacao', metodo='nfeAutorizacaoLote',
    url='nfe2/services/NfeAutorizacao',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeAutorizacao')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.ce.gov.br', webservice='NfeRetAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='nfe2/services/NfeRetAutorizacao',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NfeRetAutorizacao')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Ceara - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfe4/services/NFeInutilizacao4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='nfe4/services/NFeConsultaProtocolo4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='nfe4/services/NFeStatusServico4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='nfe4/services/CadConsultaCadastro4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='nfe4/services/NFeRecepcaoEvento4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfe4/services/NFeAutorizacao4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfeh.sefaz.ce.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfe4/services/NFeRetAutorizacao4?WSDL',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['CE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Goias - Ambiente de producao
#
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfe/services/NFeInutilizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='nfe/services/NFeConsultaProtocolo4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='nfe/services/NFeStatusServico4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='CadConsultaCadastro4', metodo='consultaCadastro',
    url='nfe/services/CadConsultaCadastro4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='nfe/services/NFeRecepcaoEvento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfe/services/NFeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.go.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfe/services/NFeRetAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Goias - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='nfe/services/NFeInutilizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='nfe/services/NFeConsultaProtocolo4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfe/services/NFeStatusServico4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='nfe/services/CadConsultaCadastro4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='nfe/services/NFeRecepcaoEvento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='nfe/services/NFeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='homolog.sefaz.go.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfe/services/NFeRetAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['GO'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Minas Gerais - Ambiente de producao
#
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfe2/services/NFeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='nfe2/services/NFeConsultaProtocolo4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfe2/services/NFeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='nfe2/services/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='nfe2/services/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFMG[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfe2/services/NFeAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfe2/services/NFeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.fazenda.mg.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='nfe2/services/CadConsultaCadastro4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')

#
# SEFAZ Minas Gerais - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfe2/services/NFeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='nfe2/services/NFeConsultaProtocolo4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfe2/services/NFeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='nfe2/services/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='nfe2/services/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFMG[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfe2/services/NFeAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfe2/services/NFeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]
ESTADO_WS[VERSAO]['MG'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='hnfe.fazenda.mg.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='nfe2/services/CadConsultaCadastro4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')


#
# SEFAZ Mato Grosso do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='ws/NFeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='ws/NFeConsultaProtocolo4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='ws/NFeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='CadConsultaCadastro4', metodo='consultaCadastro',
    url='ws/CadConsultaCadastro4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='ws/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='ws/NFeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.ms.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NFeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Mato Grosso do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='ws/NFeInutilizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='ws/NFeConsultaProtocolo4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NFeStatusServico4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='ws/CadConsultaCadastro4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/NFeRecepcaoEvento4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/NFeAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='hom.nfe.sefaz.ms.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NFeRetAutorizacao4',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Mato Grosso - Ambiente de producao
#
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfews/v2/NfeInutilizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='nfews/v2/NfeConsultaProtocolo4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='nfews/v2/NfeStatusServico4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='CadConsultaCadastro4', metodo='consultaCadastro',
    url='nfews/v2/CadConsultaCadastro4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='nfews/v2/RecepcaoEvento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfews/v2/NfeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.mt.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfews/v2/NfeRetAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Mato Grosso - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='homologacao.sefaz.mt.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='nfews/v2/services/NfeInutilizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='homologacao.sefaz.mt.gov.br',
    webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='nfews/v2/services/NfeConsultaProtocolo4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='homologacao.sefaz.mt.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF',
    url='nfews/v2/services/NfeStatusServico4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='homologacao.sefaz.mt.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro',
    url='nfews/v2/services/CadConsultaCadastro4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='homologacao.sefaz.mt.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',
    url='nfews/v2/services/RecepcaoEvento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='homologacao.sefaz.mt.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='nfews/v2/services/NfeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='homologacao.sefaz.mt.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote',
    url='nfews/v2/services/NfeRetAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['MT'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Pernambuco - Ambiente de producao
#
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefaz.pe.gov.br', webservice='NFeInutilizacao2', metodo='nfeInutilizacaoNF2',
    url='nfe-service/services/NfeInutilizacao2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao2')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefaz.pe.gov.br', webservice='NFeConsultaProtocolo2', metodo='nfeConsultaNF2',
    url='nfe-service/services/NfeConsulta2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo2')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefaz.pe.gov.br', webservice='NFeStatusServico2', metodo='nfeStatusServicoNF2',
    url='nfe-service/services/NFeStatusServico2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico2')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = \
    UFPE[NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefaz.pe.gov.br', webservice='NFeRecepcaoEvento', metodo='nfeRecepcaoEvento',
    url='nfe-service/services/RecepcaoEvento',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.pe.gov.br', webservice='NFeAutorizacao', metodo='nfeAutorizacaoLote',
    url='nfe-service/services/NFeAutorizacao?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefaz.pe.gov.br', webservice='NFeRetAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='nfe-service/services/NFeRetAutorizacao?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Pernambuco - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfehomolg.sefaz.pe.gov.br', webservice='NFeInutilizacao2',
    metodo='nfeInutilizacaoNF2', url='nfe-service/services/NfeInutilizacao2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao2')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfehomolog.sefaz.pe.gov.br', webservice='NFeConsultaProtocolo2',
    metodo='nfeConsultaNF2', url='nfe-service/services/NfeConsulta2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo2')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfehomolog.sefaz.pe.gov.br', webservice='NFeStatusServico2',
    metodo='nfeStatusServicoNF2', url='nfe-service/services/NFeStatusServico2',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico2')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = \
    ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO]  # <-- O mesmo da producao
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfehomolog.sefaz.pe.gov.br', webservice='NFeRecepcaoEvento',
    metodo='nfeRecepcaoEvento', url='nfe-service/services/RecepcaoEvento',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfehomolog.sefaz.pe.gov.br', webservice='NFeAutorizacao',
    metodo='nfeAutorizacaoLote', url='nfe-service/services/NFeAutorizacao?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfehomolog.sefaz.pe.gov.br', webservice='NFeRetAutorizacao',
    metodo='nfeRetAutorizacaoLote', url='nfe-service/services/NFeRetAutorizacao?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao')
ESTADO_WS[VERSAO]['PE'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Parana - Ambiente de producao
#
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='nfe/NFeInutilizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='nfe/NFeConsultaProtocolo4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='NFeStatusServico4', metodo='nfeStatusServicoNF',
    url='nfe/NFeStatusServico4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='CadConsultaCadastro4', metodo='consultaCadastro',
    url='nfe/CadConsultaCadastro4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='NFeRecepcaoEvento4', metodo='nfeRecepcaoEvento',
    url='nfe/NFeRecepcaoEvento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='nfe/NFeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefa.pr.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfe/NFeRetAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Parana - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='nfews/v2/NFeInutilizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='nfews/v2/NFeConsultaProtocolo4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='nfews/v2/NFeStatusServico4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='nfews/v2/CadConsultaCadastro4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='nfews/v2/NFeRecepcaoEvento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='nfews/v2/NFeAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='homologacao.nfe.sefa.pr.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='nfews/v2/NFeRetAutorizacao4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['PR'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Rio Grande do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.sefazrs.rs.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.sefazrs.rs.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.sefazrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='cad.sefazrs.rs.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='ws/cadconsultacadastro/cadconsultacadastro4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.sefazrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4?wsdl',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.sefazrs.rs.gov.br', webservice='NFeAutorizacao4', metodo='nfeAutorizacaoLote',
    url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.sefazrs.rs.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Rio Grande do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe-homologacao.sefazrs.rs.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe-homologacao.sefazrs.rs.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe-homologacao.sefazrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='cad.sefazrs.rs.gov.br', webservice='CadConsultaCadastro2',
    metodo='consultaCadastro', url='ws/cadconsultacadastro/cadconsultacadastro2.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro2')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe-homologacao.sefazrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe-homologacao.sefazrs.rs.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe-homologacao.sefazrs.rs.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Sao Paulo - Ambiente de producao
#
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='ws/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='ws/nfeconsultaprotocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/nfestatusservico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='ws/cadconsultacadastro4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='ws/nferecepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='ws/nferecepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/nfeautorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.fazenda.sp.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/nferetautorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_DISTRIBUICAO_DFE]

#
# SEFAZ Sao Paulo - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='ws/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='ws/nfeconsultaprotocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/nfestatusservico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='ws/cadconsultacadastro4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento',  url='ws/nferecepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/nfeautorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='homologacao.nfe.fazenda.sp.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/nferetautorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')
ESTADO_WS[VERSAO]['SP'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE] = \
    ESTADO_WS[VERSAO]['AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_DISTRIBUICAO_DFE]


#
# SEFAZ Virtual Ambiente Nacional - Ambiente de producao
#
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='www.sefazvirtual.fazenda.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='www.sefazvirtual.fazenda.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='www.sefazvirtual.fazenda.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='NFeStatusServico4/NFeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='www.sefazvirtual.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='www.sefazvirtual.fazenda.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='www.sefazvirtual.fazenda.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual Ambiente Nacional - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='hom.sefazvirtual.fazenda.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='NFeInutilizacao4/NFeInutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='hom.sefazvirutal.fazenda.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='NFeConsultaProtocolo/NFeConsultaProtocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='hom.sefazvirtual.fazenda.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='NFeStatusServico4/NFeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='hom.sefazvirtual.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='hom.sefazvirtual.fazenda.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVAN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='hom.sefazvirtual.fazenda.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')


#
# SEFAZ Virtual Rio Grande do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='CadConsultaCadastro4',
    metodo='consultaCadastro', url='ws/cadconsultacadastro/cadconsultacadastro4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/CadConsultaCadastro4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual Rio Grande do Sul - Ambiente de homologacao
#
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe-homologacao.svrs.rs.gov.br', webservice='NFeInutilizacao4',
    metodo='nfeInutilizacaoNF', url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe-homologacao.svrs.rs.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe-homologacao.svrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] = \
    SVRS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_CADASTRO]
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe-homologacao.svrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe-homologacao.svrs.rs.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVRS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe-homologacao.svrs.rs.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')


#
# SEFAZ Virtual de Contingencia Ambiente Nacional - Ambiente de producao
#
# ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO]  <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='www.svc.fazenda.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='www.svc.fazenda.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='NFeStatusServico4/NFeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO]  <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='www.svc.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = \
    ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='www.svc.fazenda.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='www.svc.fazenda.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual de Contingencia Ambiente Nacional - Ambiente de homologacao
#
# ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='hom.svc.fazenda.gov.br', webservice='NFeConsultaProtocolo4',
    metodo='nfeConsultaNF', url='NFeConsultaProtocolo4/NFeConsultaProtocolo4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='hom.svc.fazenda.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='NFeStatusServico4/NFeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='hom.svc.fazenda.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='NFeRecepcaoEvento4/NFeRecepcaoEvento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CANCELAMENTO] = \
    ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='hom.svc.fazenda.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='NFeAutorizacao4/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVC-AN'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='hom.svc.fazenda.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='NFeRetAutorizacao4/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')


#
# SEFAZ Virtual de Contingencia Rio Grande do Sul - Ambiente de producao
#
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_INUTILIZACAO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeInutilizacao4', metodo='nfeInutilizacaoNF',
    url='ws/nfeinutilizacao/nfeinutilizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeInutilizacao4')
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_CONSULTA_PROTOCOLO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeConsultaProtocolo4', metodo='nfeConsultaNF',
    url='ws/NfeConsulta/NfeConsulta4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeConsultaProtocolo4')
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_STATUS_SERVICO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeStatusServico4',
    metodo='nfeStatusServicoNF', url='ws/NfeStatusServico/NfeStatusServico4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeStatusServico4')
# ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeRecepcaoEvento4',
    metodo='nfeRecepcaoEvento', url='ws/recepcaoevento/recepcaoevento4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRecepcaoEvento4')
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO_CCE] = \
    ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_RECEPCAO_EVENTO]
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_AUTORIZACAO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeAutorizacao4',
    metodo='nfeAutorizacaoLote', url='ws/NfeAutorizacao/NFeAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeAutorizacao4')
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_PRODUCAO][WS_NFE_RET_AUTORIZACAO] = dict(
    servidor='nfe.svrs.rs.gov.br', webservice='NFeRetAutorizacao4',
    metodo='nfeRetAutorizacaoLote', url='ws/NfeRetAutorizacao/NFeRetAutorizacao4.asmx',
    namespace='http://www.portalfiscal.inf.br/nfe/wsdl/NFeRetAutorizacao4')

#
# SEFAZ Virtual de Contingencia Rio Grande do Sul - Ambiente de homologacao
#
# ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_INUTILIZACAO] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA_PROTOCOLO] = \
    SVC_RS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_CONSULTA]
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_STATUS_SERVICO] = \
    SVC_RS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_SITUACAO]
# ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_CAD_CONSULTA_CADASTRO] <-- Nao implementado
# ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO] <-- Nao implementado
#ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_RECEPCAO_EVENTO_CCE] <-- Nao implementado
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO] = \
    SVC_RS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_AUTORIZACAO]
ESTADO_WS[VERSAO]['SVC-RS'][NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO] = \
    SVC_RS[NFE_AMBIENTE_HOMOLOGACAO][WS_NFE_RET_AUTORIZACAO]


# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
